#ifndef _THRO_TORQUE_H__
#define _THRO_TORQUE_H__
#include "os/os_types.h"
#include "foc/core/PMSM_FOC_Core.h"
typedef struct {
	bool  accl;
	float torque_req;
	float torque_real;
	float thro_filted;
	float spd_filted;
	float thro_ration;
	float thro_ration_last;
	u8    gear;
}thro_torque_t;

void thro_torque_reset(void);
void thro_torque_init(void);
float thro_ration_to_voltage(float r);
void thro_torque_process(u8 run_mode, float f_throttle);
float get_user_request_torque(void);
float thro_torque_gear_map(s16 rpm, u8 gear);

#endif /* _THRO_TORQUE_H__ */

